<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.1                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2009 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 529     Patch: 12                                                 |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Files
 * @copyright (C) 2002-2009 Esselbach Internet Solutions
 */

/**
 * function AdminFilesQueueOptions
 * A function to manage file queue options
 * @author Philipp Louis Esselbach
 */
function AdminFilesQueueOptions()
{
	global $security, $system, $html, $words_files;
	$input_option = ( isset( $_POST[ 'input_option' ] ) ) ? $security -> checknum( $_POST[ 'input_option' ] ) : "" ;
	$input_files = ( isset( $_POST[ 'editoptions' ] ) ) ? $security -> checknumarray( $_POST[ 'editoptions' ] ) : "" ;
	$input_security_hash = ( isset( $_POST[ 'input_security_hash' ] ) ) ? $security -> checkvar( $_POST[ 'input_security_hash' ] ) : "" ;
	
	if( $system -> adminhashget() != $input_security_hash )
	{
		$html -> login( $words_files[ 'ERROR' ], $words_files[ 'INVALID_SESSION' ], "index.php" );
		exit;
	}
	
	if( is_array( $input_files ) )
	{
		$files_count = count( $input_files );
		$files_field = join( ",", $input_files );
	}
	else
	{
		$files_count = 0;
		$files_field = "";
	}
	
	$html -> makeheader( $words_files[ 'FILES_QUEUE_OPTIONS' ] );
	$html -> makesubheader();
	$html -> makegroupmenu( "files" );
	$html -> makeformheader( $words_files[ 'FILES_QUEUE_OPTIONS' ], "files", "options", "post" );
	
	if( !$input_option )
	{
		echo $words_files[ 'THIS_WOULD_DELETE' ] . " " . $files_count . " " . $words_files[ '_FILES' ] . ".<br /><br />";
		
		if( $files_field )
		{
			echo $words_files[ 'ARE_YOU_SURE' ];
			echo " <input type=\"hidden\" name=\"input_security_hash\" value=\"" . $input_security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"domassqueuefilesdelete\" /><input type=\"hidden\" name=\"input_files\" value=\"" . $files_field . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_files[ 'YES' ] . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_files[ 'NO' ] . "\" />";
		}
		else
		{
			echo "<a href=\"javascript:history.go(-1)\">" . $words_files[ 'RETURN_TO_PREVIOUS' ] . "</a>";
		}
	}
	elseif( $input_option == 1 )
	{
		echo $words_files[ 'THIS_WOULD_REJECT' ] . " " . $files_count . " " . $words_files[ '_FILES' ] . ".<br /><br />";
		
		if( $files_field )
		{
			echo $words_files[ 'ARE_YOU_SURE' ];
			echo " <input type=\"hidden\" name=\"input_security_hash\" value=\"" . $input_security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"domassqueuefilesreject\" /><input type=\"hidden\" name=\"input_files\" value=\"" . $files_field . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_files[ 'YES' ] . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_files[ 'NO' ] . "\" />";
		}
		else
		{
			echo "<a href=\"javascript:history.go(-1)\">" . $words_files[ 'RETURN_TO_PREVIOUS' ] . "</a>";
		}
	}
	elseif( $input_option == 2 )
	{
		echo $words_files[ 'THIS_WOULD_PROCESS' ] . " " . $files_count . " " . $words_files[ '_FILES' ] . ".<br /><br />";
		
		if( $files_field )
		{
			echo $words_files[ 'ARE_YOU_SURE' ];
			echo " <input type=\"hidden\" name=\"input_security_hash\" value=\"" . $input_security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"domassqueuefilesprocess\" /><input type=\"hidden\" name=\"input_files\" value=\"" . $files_field . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_files[ 'YES' ] . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_files[ 'NO' ] . "\" />";
		}
		else
		{
			echo "<a href=\"javascript:history.go(-1)\">" . $words_files[ 'RETURN_TO_PREVIOUS' ] . "</a>";
		}
	}
	
	$html -> makeformfooter();
}
?>